### Method

# Ide Pipeline build_srcdir_path

#### Declaration

    gchar*
    ide_pipeline_build_srcdir_path (
      IdePipeline* self,
      const gchar* first_part,
      ...
    )

#### Description

This is a convenience function to create a new path that starts with the source directory of the project.

This is functionally equivalent to calling `g_build_filename()` with the working directory of the source tree.

Available since: | 3.32
This method is not directly available to language bindings.

#### Parameters

`first_part` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`...` | ``
| No description available.

#### Return value

Returns: | `gchar*`
| A newly allocated string.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.